Bug 1315665 - /etc/init.d/pulp_streamer: line 44: write_log_message: command not found
/etc/init.d/pulp_streamer: line 44: write_log_message: command not found
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 06:49 EST by Lukas Pramuk
Modified: 2017-07-26 15:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 09:54:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 1715 Normal CLOSED - CURRENTRELEASE The streamer init script references a non-existing write_log_message command 2016-03-23 14:30 EDT

  None (edit)
Description Lukas Pramuk 2016-03-08 06:49:54 EST
Description of problem:
pulp_streamer service actions are not logged on rhel6
it attempts to use unknown logging function - write_log_message: command not found


Version-Release number of selected component (if applicable):
python-pulp-streamer-2.8.0.0-0.5.beta.el6sat.noarch
@Satellite-6.2.0-RHEL-6-20160306.0

How reproducible:
100%

Steps to Reproduce:
1.# /etc/init.d/pulp_streamer
/etc/init.d/pulp_streamer: line 44: write_log_message: command not found
Usage: /etc/init.d/pulp_streamer {start|stop|restart|status|create-paths|check-paths}

Actual results:
no logs of service operation, command not found error 

Expected results:
service operation logged, no errors

Additional info:
Comment 1 pulp-infra@redhat.com 2016-03-09 11:06:24 EST
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.
Comment 2 pulp-infra@redhat.com 2016-03-09 11:06:26 EST
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.
Comment 4 pulp-infra@redhat.com 2016-03-23 14:30:22 EDT
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.
Comment 5 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 6 Bryan Kearney 2016-07-26 11:33:16 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 8 Lukas Pramuk 2016-07-27 09:54:09 EDT
VERIFIED.

fixed with Pulp 2.8

Note You need to log in before you can comment on or make changes to this bug.